import React, { Fragment } from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import { FoundationThreeBounceSpinner } from '@billogram/foundation-spinner';
import './FoundationTableRowExpandResult.scss';
export default function FoundationTableRowExpandResult(_ref) {
  var children = _ref.children,
      _ref$hasFetchError = _ref.hasFetchError,
      hasFetchError = _ref$hasFetchError === void 0 ? false : _ref$hasFetchError,
      _ref$isFetching = _ref.isFetching,
      isFetching = _ref$isFetching === void 0 ? false : _ref$isFetching,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title;
  var block = purebem('foundation-table-row-expand-result');

  function renderChildren() {
    return React.createElement(Fragment, null, title !== null ? React.createElement("header", {
      className: block('title')
    }, title) : null, children);
  }

  function renderError() {
    return React.createElement("div", null, pgettext('foundation-table-row-expand-result', 'Error'));
  }

  function renderSpinner() {
    return React.createElement("div", {
      className: block('spinner')
    }, React.createElement(FoundationThreeBounceSpinner, null));
  }

  return React.createElement("section", {
    className: block({
      error: hasFetchError
    })
  }, isFetching ? renderSpinner() : hasFetchError ? renderError() : renderChildren());
}
//# sourceMappingURL=FoundationTableRowExpandResult.js.map